#!/usr/bin/python3

from time import sleep
import pifacedigitalio

DELAY = 0.2   # seconds

def led_fun1():
    for i in (0,1,2,3,4,5,6,7):
        pifacedigital.output_port.value = 0x01<<i
        sleep(DELAY)

def led_fun2():
    pifacedigital.output_port.value = 0
    for i in (0,1,2,3,4,5,6,7):
        pifacedigital.output_port.value += 0x01<<i
        sleep(DELAY)

    for i in (7,6,5,4,3,2,1,0):
        pifacedigital.output_port.value -= 0x01<<i
        sleep(DELAY)

def led_off():
    pifacedigital.output_port.value=0

def key_sacn():
    return pifacedigital.input_port.value

if __name__ == "__main__":
    pifacedigital = pifacedigitalio.PiFaceDigital()

    while True:
        key = key_sacn()
        
        if(key==1):
            led_fun1()
        elif(key==2):
            led_fun2()
        else:
            led_off()
